API ReferenceSupport
Tickettypes List
Retrieve a list of ticket types.
Authorization
oauth2 tickets:readAuthorizationBearer <token>
Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123
In: header
Scope: tickets:read
Query Parameters
name?string
cursor?string
The pagination cursor value.
Header Parameters
X-29next-API-Version*string
Default
"2024-04-01"Value in
"2024-04-01"Response Body
application/json
curl -X GET "https://example.29next.store/api/admin/tickettypes/" \
-H "X-29next-API-Version: 2024-04-01" \
-H "Authorization: Bearer "{
"next": "http://api.example.org/accounts/?cursor=cD00ODY%3D\"",
"previous": "http://api.example.org/accounts/?cursor=cj0xJnA9NDg3",
"results": [
{
"id": 0,
"name": "string"
}
]
}